<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>classes/paramTag.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/classes/paramtag.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>classes/paramTag.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>/*
<a name="line3"></a>PHPDoctor: The PHP Documentation Creator
<a name="line4"></a>Copyright (C) 2004 Paul James <paul@peej.co.uk>
<a name="line5"></a>
<a name="line6"></a>This program is free software; you can redistribute it and/or modify
<a name="line7"></a>it under the terms of the GNU General Public License as published by
<a name="line8"></a>the Free Software Foundation; either version 2 of the License, or
<a name="line9"></a>(at your option) any later version.
<a name="line10"></a>
<a name="line11"></a>This program is distributed in the hope that it will be useful,
<a name="line12"></a>but WITHOUT ANY WARRANTY; without even the implied warranty of
<a name="line13"></a>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
<a name="line14"></a>GNU General Public License for more details.
<a name="line15"></a>
<a name="line16"></a>You should have received a copy of the GNU General Public License
<a name="line17"></a>along with this program; if not, write to the Free Software
<a name="line18"></a>Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
<a name="line19"></a>*/
<a name="line20"></a>
<a name="line21"></a>/** Represents a parameter tag.
<a name="line22"></a> *
<a name="line23"></a> * @package PHPDoctor\Tags
<a name="line24"></a> */
<a name="line25"></a>class ParamTag extends Tag
<a name="line26"></a>{
<a name="line27"></a>
<a name="line28"></a>	/** The variable name of the parameter
<a name="line29"></a>	 *
<a name="line30"></a>	 * @var str
<a name="line31"></a>	 */
<a name="line32"></a>	var $_var = NULL;
<a name="line33"></a>
<a name="line34"></a>	/**
<a name="line35"></a>	 * Constructor
<a name="line36"></a>	 *
<a name="line37"></a>	 * @param str text The contents of the tag
<a name="line38"></a>	 * @param str[] data Reference to doc comment data array
<a name="line39"></a>	 * @param RootDoc root The root object
<a name="line40"></a>	 */
<a name="line41"></a>	function paramTag($text, &$data, &$root)
<a name="line42"></a>    {
<a name="line43"></a>		$explode = preg_split('/[ \t]+/', $text);
<a name="line44"></a>		$type = array_shift($explode);
<a name="line45"></a>		if ($type) {
<a name="line46"></a>			$this->_var = trim(array_shift($explode), '$');
<a name="line47"></a>			if ($this->_var) {
<a name="line48"></a>			    $data['parameters'][$this->_var]['type'] = $type; 
<a name="line49"></a>			} else {
<a name="line50"></a>			    $count = isset($data['parameters']) ? count($data['parameters']) : 0;
<a name="line51"></a>			    $data['parameters']['__unknown'.$count]['type'] = $type;
<a name="line52"></a>			}
<a name="line53"></a>			$text = join(' ', $explode);
<a name="line54"></a>		}
<a name="line55"></a>		if ($text != '') {
<a name="line56"></a>			parent::tag('@param', $this->_var.' - '.$text, $root);
<a name="line57"></a>		} else {
<a name="line58"></a>			parent::tag('@param', NULL, $root);
<a name="line59"></a>		}
<a name="line60"></a>	}
<a name="line61"></a>	
<a name="line62"></a>	/** Get display name of this tag.
<a name="line63"></a>	 *
<a name="line64"></a>	 * @return str
<a name="line65"></a>	 */
<a name="line66"></a>	function displayName()
<a name="line67"></a>    {
<a name="line68"></a>		return 'Parameters';
<a name="line69"></a>	}
<a name="line70"></a>	
<a name="line71"></a>	/** Return true if this Taglet is used in constructor documentation.
<a name="line72"></a>     *
<a name="line73"></a>     * @return bool
<a name="line74"></a>     */
<a name="line75"></a>	function inConstructor()
<a name="line76"></a>    {
<a name="line77"></a>		return TRUE;
<a name="line78"></a>	}
<a name="line79"></a>
<a name="line80"></a>	/** Return true if this Taglet is used in field documentation.
<a name="line81"></a>     *
<a name="line82"></a>     * @return bool
<a name="line83"></a>     */
<a name="line84"></a>	function inField()
<a name="line85"></a>    {
<a name="line86"></a>		return FALSE;
<a name="line87"></a>	}
<a name="line88"></a>
<a name="line89"></a>	/** Return true if this Taglet is used in method documentation.
<a name="line90"></a>     *
<a name="line91"></a>     * @return bool
<a name="line92"></a>     */
<a name="line93"></a>	function inMethod()
<a name="line94"></a>    {
<a name="line95"></a>		return TRUE;
<a name="line96"></a>	}
<a name="line97"></a>
<a name="line98"></a>	/** Return true if this Taglet is used in overview documentation.
<a name="line99"></a>     *
<a name="line100"></a>     * @return bool
<a name="line101"></a>     */
<a name="line102"></a>	function inOverview()
<a name="line103"></a>    {
<a name="line104"></a>		return FALSE;
<a name="line105"></a>	}
<a name="line106"></a>
<a name="line107"></a>	/** Return true if this Taglet is used in package documentation.
<a name="line108"></a>     *
<a name="line109"></a>     * @return bool
<a name="line110"></a>     */
<a name="line111"></a>	function inPackage()
<a name="line112"></a>    {
<a name="line113"></a>		return FALSE;
<a name="line114"></a>	}
<a name="line115"></a>
<a name="line116"></a>	/** Return true if this Taglet is used in class or interface documentation.
<a name="line117"></a>     *
<a name="line118"></a>     * @return bool
<a name="line119"></a>     */
<a name="line120"></a>	function inType()
<a name="line121"></a>    {
<a name="line122"></a>		return FALSE;
<a name="line123"></a>	}
<a name="line124"></a>
<a name="line125"></a>	/** Return true if this Taglet is an inline tag.
<a name="line126"></a>     *
<a name="line127"></a>     * @return bool
<a name="line128"></a>     */
<a name="line129"></a>	function isInlineTag()
<a name="line130"></a>    {
<a name="line131"></a>		return FALSE;
<a name="line132"></a>	}
<a name="line133"></a>
<a name="line134"></a>	/** Return true if this Taglet should be outputted even if it has no text content.
<a name="line135"></a>     *
<a name="line136"></a>     * @return bool
<a name="line137"></a>     */
<a name="line138"></a>	function displayEmpty()
<a name="line139"></a>    {
<a name="line140"></a>		return FALSE;
<a name="line141"></a>	}
<a name="line142"></a>	
<a name="line143"></a>}
<a name="line144"></a>
<a name="line145"></a>?>
<a name="line146"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/classes/paramtag.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>